Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.index.lucene.Msg

    final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `BAD_VERSE`
`(package private) static Msg` | `DELETE_FAILED`
`(package private) static Msg` | `INDEX_START`
`(package private) static Msg` | `INDEXING`
`(package private) static Msg` | `INSTALL_FAIL`
`(package private) static Msg` | `LUCENE_INIT`
`(package private) static Msg` | `OPTIMIZING`
`(package private) static Msg` | `SEARCH_FAILED`
`(package private) static Msg` | `TYPE_INDEXGEN`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_INDEXGEN

    static final Msg TYPE_INDEXGEN

### INDEX_START

    static final Msg INDEX_START

### LUCENE_INIT

    static final Msg LUCENE_INIT

### SEARCH_FAILED

    static final Msg SEARCH_FAILED

### INDEXING

    static final Msg INDEXING

### OPTIMIZING

    static final Msg OPTIMIZING

### DELETE_FAILED

    static final Msg DELETE_FAILED

### INSTALL_FAIL

    static final Msg INSTALL_FAIL

### BAD_VERSE

    static final Msg BAD_VERSE

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD